pmarlen-web/src/main/java/com/pmarlen/web/operation/NavigationMB.java
package com.pmarlen.web.operation;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 *
 * @author alfredo
 */
public class NavigationMB {

    private final Logger logger = LoggerFactory.getLogger(NavigationMB.class);

    //--------------------------------------------
    public String verProductosXLineaMarca() {
        logger.debug("===>>verProductosXLineaMarca");
        return "verProductosXLineaMarca";
    }

    public String verProductosXIndustriaMarca() {
        logger.debug("===>>verProductosXIndustriaMarca");
        return "verProductosXIndustriaMarca";
    }

    public String pedidoSimple() {
        logger.debug("===>>pedidoSimple");
        return "pedidoSimple";
    }

    public String verProductosEnPedidoSimple() {
        logger.debug("===>>verProductosEnPedidoSimple");
        return "verProductosEnPedidoSimple";
    }

    public String listarPedidosVentas() {
        logger.debug("===>>listarPedidosVentas");
        return "listarPedidosVentas";
    }

    public String pedidoNuevo() {
        logger.debug("===>>pedidoNuevo");
        return "pedidoNuevo";
    }

    public String editarPedido() {
        logger.debug("===>>editarPedido");
        return "editarPedido";
    }

    public String productosEnAlmacenes() {
        logger.debug("===>>productosEnAlmacenes");
        return "productosEnAlmacenes";
    }
}

pmarlen-web/src/main/java/com/pmarlen/web/operation/OperacionesEnAlmacenesMB.java
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.web.operation;

import com.pmarlen.businesslogic.LogicaFinaciera;
import com.pmarlen.businesslogic.PedidoVentaBusinessLogic;
import com.pmarlen.model.Constants;
import com.pmarlen.model.beans.*;
import com.pmarlen.model.controller.PedidoVentaJpaController;
import com.pmarlen.model.controller.ProductoJpaController;
import com.pmarlen.model.dto.MovimientoEntreAlmacenes;
import com.pmarlen.model.dto.ProductoEnTrancito;
import com.pmarlen.web.security.managedbean.SessionUserMB;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.event.ValueChangeEvent;
import javax.faces.model.SelectItem;
import javax.faces.validator.ValidatorException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.beans.factory.annotation.Autowired;

/**
 *
 * @author VEAXX9M
 */
public class OperacionesEnAlmacenesMB {

	@Autowired
	private ProductoJpaController productoJpaController;
	@Autowired
	private PedidoVentaBusinessLogic pedidoVentaBusinessLogic;
	@Autowired
	private SessionUserMB sessionUserMB;
	private Integer sucursalId;
	private Logger logger;
	private int scrollerPage;

	private List<MovimientoEntreAlmacenes> movimientoEntreAlmacenesList;
	
	public OperacionesEnAlmacenesMB() {
		logger = LoggerFactory.getLogger(PedidosPreVisorMB.class);
		sucursalId = 1;
	}

	public List<SelectItem> getSucursales() {
		List<Sucursal> list = productoJpaController.findAllSucursales();
		List<SelectItem> result = new ArrayList<SelectItem>();
		for (Sucursal s : list) {
			SelectItem sucursalSI = new SelectItem(s.getId(), s.getNombre());
			result.add(sucursalSI);
		}

		return result;
	}

	public List<SelectItem> getSucursalesHijas() {
		List<Sucursal> list = productoJpaController.findAllSucursales();
		List<SelectItem> result = new ArrayList<SelectItem>();
		for (Sucursal s : list) {
			if (s.getSucursal() == null) {
				continue;
			}
			SelectItem sucursalSI = new SelectItem(s.getId(), s.getNombre());
			result.add(sucursalSI);
		}

		return result;
	}

	private void dataValidation() throws ValidatorException {
		logger.debug("\t################################ >> dataValidation: ");
		//logger.debug("\t\t################################ >> throw new ValidatorException Cliente!");
		//throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Debe seleccionar el Cliente !!", "Debe seleccionalr el Cliente !!"));
		//throw new ValidatorException(new FacesMessage(FacesMessage.SEVERITY_ERROR, "Debe seleccionar la Forma de Pago!!", "Debe seleccionalr la Forma de Pago!!"));        
	}

	public String confirmarSurtirAlmacenPrincipal() {
		logger.debug("========================================================>>");
		logger.debug("-->>confirmarSurtirAlmacenPrincipal():");
		logger.debug("========================================================>>");
		try {

			dataValidation();
			try{
				for(MovimientoEntreAlmacenes ma:movimientoEntreAlmacenesList){
					logger.debug("\t-->>MovimientoEntreAlmacenes: Producto ["+ma.getProducto().getId()+"] surtir:"+ma.getDestinoSurtir()+" PV: $"+ma.getDestinoPV());
				}
				pedidoVentaBusinessLogic.movimientoEntreElmacenes(movimientoEntreAlmacenesList, sucursalId, Constants.ALMACEN_PRINCIPAL,sessionUserMB.getUsuarioAuthenticated());

				return null;
            } catch (Exception ex) {
                logger.debug("<<++++++++++++++++++++++++++++++++++++++++++++++++++");
                ex.printStackTrace(System.err);
                logger.debug("Error in MB confirmarSurtirAlmacen:", ex);

                throw new ValidatorException(
                        new FacesMessage(FacesMessage.SEVERITY_ERROR, ex.toString(), ex.toString()));
            } finally {
                
            }
	
        } catch (ValidatorException ve) {
            logger.debug("<<!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            FacesContext.getCurrentInstance().addMessage(
                    null,
                    ve.getFacesMessage());
            return null;
        }
	}

	public void sucursalChanged(ValueChangeEvent event) {
		Integer sucursalChanged = (Integer) event.getNewValue();
		logger.debug("-->> sucursalChanged: sucursalChanged=" + sucursalChanged);
	}

	public List<ProductoEnTrancito> getAllProductosEnTransitoDeSucursal() {
		//List<ProductoEnAlmacenesDetalle> productoEnAlmacenDetalleList = new ArrayList<ProductoEnAlmacenesDetalle>();
		//List<Producto> productoList = productoJpaController.findAllProductoConAlmacenesDeSucursal(sucursalId);
		long t1,t2;
		
		logger.debug("==>> getAllProductosEnTransitoDeSucursal: sucursalId=" + sucursalId);		
		t1 = System.currentTimeMillis();
		List<ProductoEnTrancito> findAllProductosEnTransitoDeSucursal = productoJpaController.findAllProductosEnTransitoDeSucursal(sucursalId);
		t2 = System.currentTimeMillis();
		logger.debug("==>> T = "+(t2-t1));
		return findAllProductosEnTransitoDeSucursal;
		

	}

	public List<MovimientoEntreAlmacenes> getAllMovimientoEntreAlmacenesPrincipal() {
		//List<MovimientoEntreAlmacenes> movimientoEntreAlmacenesList = new ArrayList<MovimientoEntreAlmacenes>();
		//List<Producto> productoList = productoJpaController.findAllProductoConAlmacenesDeSucursal(sucursalId);
		logger.debug("==>> getAllMovimientoEntreAlmacenes: sucursalId=" + sucursalId);
		
		movimientoEntreAlmacenesList = productoJpaController.findAllProductosMovimientoEntreAlmacenesDeSucursal(sucursalId, Constants.ALMACEN_PRINCIPAL);

		return movimientoEntreAlmacenesList;
	}

	public List<MovimientoEntreAlmacenes> getAllMovimientoEntreAlmacenesOportunidad() {
		//List<MovimientoEntreAlmacenes> movimientoEntreAlmacenesList = new ArrayList<MovimientoEntreAlmacenes>();
		//List<Producto> productoList = productoJpaController.findAllProductoConAlmacenesDeSucursal(sucursalId);
		logger.debug("==>> getAllMovimientoEntreAlmacenes: sucursalId=" + sucursalId);

		return productoJpaController.findAllProductosMovimientoEntreAlmacenesDeSucursal(sucursalId, Constants.ALMACEN_OPORTUNIDAD);
	}

	public List<ProductoEnAlmacenesDetalle> getProductosEnAlmacenes() {
		List<ProductoEnAlmacenesDetalle> productoEnAlmacenDetalleList = new ArrayList<ProductoEnAlmacenesDetalle>();
		List<Producto> productoList = productoJpaController.findAllProductoConAlmacenesDeSucursal(sucursalId);
		logger.debug("==>> getProductoConMovimientos: sucursalId=" + sucursalId);

		for (Producto producto : productoList) {
			ProductoEnAlmacenesDetalle productoEnAlmacenDetalle = new ProductoEnAlmacenesDetalle(producto);

			Collection<AlmacenProducto> almacenProductoCollection = producto.getAlmacenProductoCollection();

			logger.debug("\t==>> Producto[" + producto.getId() + "]");
			for (AlmacenProducto ap : almacenProductoCollection) {
				logger.debug("\t\t==>> AlmacenProducto: almacen=" + ap.getAlmacen() + "[" + ap.getAlmacen().getTipoAlmacen() + "],sucursal=" + ap.getAlmacen().getSucursal().getId() + ", cantidad=" + ap.getCantidadActual());
				if (ap.getAlmacen().getSucursal().getId().intValue() == sucursalId) {

					if (ap.getAlmacen().getTipoAlmacen() == Constants.ALMACEN_PRINCIPAL) {
						productoEnAlmacenDetalle.setAlmacenPrincipal(ap);
						logger.debug("\t\t\t==>> OK added");
					} else if (ap.getAlmacen().getTipoAlmacen() == Constants.ALMACEN_OPORTUNIDAD) {
						productoEnAlmacenDetalle.setAlmacenOportunidad(ap);
						logger.debug("\t\t\t==>> OK added");
					}
				}
			}
			productoEnAlmacenDetalleList.add(productoEnAlmacenDetalle);

		}

		return productoEnAlmacenDetalleList;
	}

	public void setSessionUserMB(SessionUserMB sessionUserMB) {
		this.sessionUserMB = sessionUserMB;
	}

	public void setProductoJpaController(ProductoJpaController productoJpaController) {
		this.productoJpaController = productoJpaController;
	}

	/**
	 * @return the sucursal
	 */
	public Integer getSucursalId() {
		return sucursalId;
	}

	/**
	 * @param sucursal the sucursal to set
	 */
	public void setSucursalId(Integer sucursalId) {
		this.sucursalId = sucursalId;
	}

	/**
	 * @param pedidoVentaBusinessLogic the pedidoVentaBusinessLogic to set
	 */
	public void setPedidoVentaBusinessLogic(PedidoVentaBusinessLogic pedidoVentaBusinessLogic) {
		this.pedidoVentaBusinessLogic = pedidoVentaBusinessLogic;
	}

	/**
	 * @return the scrollerPage
	 */
	public int getScrollerPage() {
		return scrollerPage;
	}

	/**
	 * @param scrollerPage the scrollerPage to set
	 */
	public void setScrollerPage(int scrollerPage) {
		this.scrollerPage = scrollerPage;
	}
}

pmarlen-web/src/main/java/com/pmarlen/web/operation/PedidosPreVisorMB.java
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.web.operation;

import com.pmarlen.model.beans.PedidoVenta;
import com.pmarlen.model.controller.PedidoVentaJpaController;
import com.pmarlen.web.security.managedbean.SessionUserMB;
import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import org.springframework.beans.factory.annotation.Autowired;

/**
 *
 * @author VEAXX9M
 */
public class PedidosPreVisorMB {

    @Autowired
    private PedidoVentaJpaController pedidoVentaJpaController;
    @Autowired
    private SessionUserMB sessionUserMB;

    private final Logger logger = LoggerFactory.getLogger(PedidosPreVisorMB.class);

    public PedidosPreVisorMB() {

    }


    public List<PedidoVentaEasyView> getPedidoVentaList(){
        List<PedidoVenta> pedidoVentaList = pedidoVentaJpaController.findPedidoVentaEntities();
		List<PedidoVentaEasyView> pedidoVentaEasyViewList = new ArrayList<PedidoVentaEasyView>();
		
        logger.info("-->>> getPedidoVentaList: pedidoVentaList="+pedidoVentaList);
		
		for(PedidoVenta pv: pedidoVentaList){
			PedidoVentaEasyView pvev = new PedidoVentaEasyView(pv) ;
			pedidoVentaEasyViewList.add(pvev);
		}
		
        return pedidoVentaEasyViewList;
    }

    public void setPedidoVentaJpaController(PedidoVentaJpaController pedidoVentaJpaController) {
        this.pedidoVentaJpaController = pedidoVentaJpaController;
    }

    public void setSessionUserMB(SessionUserMB sessionUserMB) {
        this.sessionUserMB = sessionUserMB;
    }
    
}

pmarlen-web/src/main/java/com/pmarlen/web/security/managedbean/SessionUserMB.java
package com.pmarlen.web.security.managedbean;

import java.util.*;
import java.text.*;
import java.io.*;

import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import com.pmarlen.model.beans.Usuario;
import com.pmarlen.model.beans.Perfil;
import com.pmarlen.model.controller.UsuarioJpaController;
import com.pmarlen.model.Constants;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SessionUserMB {

    private final Logger logger = LoggerFactory.getLogger(SessionUserMB.class);
    private static SimpleDateFormat sdf = new SimpleDateFormat("yyyy/MM/dd_hh:mm:ss");
    private UsuarioJpaController usuarioJpaController;
    private Usuario usuarioAuthenticated;

    public void setUsuarioJpaController(UsuarioJpaController usuarioJpaController) {
        this.usuarioJpaController = usuarioJpaController;
    }

    public Usuario getUsuarioAuthenticated() {
        if (usuarioAuthenticated == null) {
            String strUser = FacesContext.getCurrentInstance().getExternalContext().getRemoteUser();
            logger.debug("FacesContext.getCurrentInstance().getExternalContext().getRemoteUser() = ->" + strUser + "<-");
            usuarioAuthenticated = this.usuarioJpaController.findUsuario(strUser);
        }
        return usuarioAuthenticated;
    }

    public String getTestMessage() {
        HttpServletRequest r = null;

        r = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
        r.getSession().getMaxInactiveInterval();

        return "TestMessage@" + sdf.format(new Date()) + 
				", MaxInactiveInterval=" + r.getSession().getMaxInactiveInterval() + " secs."+
				", LastAccessedTime=" + (System.currentTimeMillis() - r.getSession().getLastAccessedTime()) / 1000 + " secs. ago. "+
				", UserPrincipal="+r.getUserPrincipal();
    }

    public String getSessionTimeOutMinus3SecsToDisplay() {
        HttpServletRequest r = null;

        r = (HttpServletRequest) FacesContext.getCurrentInstance().getExternalContext().getRequest();
        r.getSession().getMaxInactiveInterval();

        return String.valueOf(r.getSession().getMaxInactiveInterval() - 3);
    }

    public String logout() throws IOException {
        logger.debug("============>>> logout !!");
        ExternalContext externalContext = FacesContext.getCurrentInstance().getExternalContext();
        HttpServletRequest request = (HttpServletRequest) externalContext.getRequest();
        logger.debug("request [" + request + "]");
        HttpServletResponse response = (HttpServletResponse) externalContext.getResponse();
        HttpSession session = request.getSession();
        logger.debug("session [" + session + "]");
        if (session != null) {
            session.invalidate();
        }
        response.sendRedirect(externalContext.getRequestContextPath() + "/pages/home.jsf");
        return null;
    }

    public boolean isRootUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_ROOT);
        return perfilCollection.contains(perfilFinalUser);
    }

    public boolean isITHDUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_ITHD_USER);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }

    public boolean isFinalUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_FINAL_USER);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }

    public boolean isAdministratorUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_ADMINISTRATOR);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }

    public boolean isAnalystUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_ANALYST);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }

    public boolean isRegisterUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_REGISTER);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }

    public boolean isGuestUser() {
        Perfil perfilFinalUser = new Perfil();
        Collection<Perfil> perfilCollection = usuarioAuthenticated.getPerfilCollection();
        perfilFinalUser.setId(Constants.PERFIL_GUEST);
        return isRootUser() || perfilCollection.contains(perfilFinalUser);
    }
}

pmarlen-web/src/main/webapp/templates/main.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich">

    <head>

        <title><ui:insert name="title"/></title>		
        <link href="${facesContext.externalContext.requestContextPath}/css/itsolutions-web.css"        rel="stylesheet"    type="text/css" />
        <ui:include src="/templates/include/dynamic-css.xhtml" />

        <link href="${facesContext.externalContext.requestContextPath}/images/Logo_icono_2.png" rel="shortcut icon" type="image/x-icon"/>
        <link href="${facesContext.externalContext.requestContextPath}/images/Logo_icono_2.png" rel="icon"          type="image/x-icon"/>

        <script type="text/javascript">
            function timedMsg() {
            
                var t = setTimeout("gotToLogout();",#{sessionUserMB.sessionTimeOutMinus3SecsToDisplay * 1000});
            }
            function gotToLogout() {

                window.location = "${facesContext.externalContext.requestContextPath}/pages/logout.jsf";
            }
        </script>
        <style>
            .cols{
                vertical-align:top;
            }
        </style> 
    </head>

    <!--
        <a4j:region>
                <script language="javascript">
                        // añadimos una función de callback que será invocada
                        // cuando se produzca el evento de sesión caducada
                        A4J.AJAX.onExpired = function(loc, expiredMsg){
                                // obtenemos el componente que implementa la ventana modal para mostrarlo
    #{rich:component('sessionTimeOutWindow')}.show();
            }
    </script>
</a4j:region>

<rich:modalPanel id="sessionTimeOutWindow" width="375" height="160"
         resizeable="false">
<f:facet name="header">
<h:outputText value="FIN DE SESION" />
</f:facet>
<h:panelGrid>
<h:panelGrid columns="2">
    <h:outputText styleClass="textMessage" value="LA SESION A TERMINADO" />
</h:panelGrid>
<h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
    <input  id="confirmBackToLogin"
            type="button"
            value="VOLVER A ENTRAR"
            onclick="window.location='#{facesContext.externalContext.requestContextPath}/index.jsp';" />
</h:panelGroup>
</h:panelGrid>
</rich:modalPanel>
    -->
    <body onload="javascript:timedMsg();">

        <ui:include src="/templates/include/header.xhtml" />

        <table width="98%" border="0" align="center">
            <tr>
                <td align="center" width="210px;" valign="top">
                    <h:form id="form">

                        <rich:panelMenu style="width:200px;"  mode="ajax" expandMode="ajax"
                                        iconExpandedGroup="disc" iconCollapsedGroup="disc" 
                                        iconExpandedTopGroup="chevronUp" iconGroupTopPosition="right" 
                                        iconCollapsedTopGroup="chevronDown">
                            <rich:panelMenuGroup label="Operacion" expanded="true">
                                <rich:panelMenuItem label="Prod x Industria - Marca" action="#{navigationMB.verProductosXIndustriaMarca}" style="color:red;">
                                </rich:panelMenuItem>
                                <rich:panelMenuItem label="Prod x Linea - Marca" action="#{navigationMB.verProductosXLineaMarca}" selected="true">
                                </rich:panelMenuItem>
                                <rich:panelMenuItem label="Productos en carrito" action="#{navigationMB.pedidoNuevo}">
                                </rich:panelMenuItem>
                                <rich:panelMenuItem label="Pedidos de Venta" action="#{navigationMB.listarPedidosVentas}">
                                </rich:panelMenuItem>
                            </rich:panelMenuGroup>

                            <rich:panelMenuGroup label="Administracion" expanded="true" rendered="#{rich:isUserInRole('stock') or rich:isUserInRole('admin') or rich:isUserInRole('root')}">
                                <rich:panelMenuItem label="Productos en Almancenes" action="#{navigationMB.productosEnAlmacenes}">                
                                </rich:panelMenuItem>

                            </rich:panelMenuGroup>

                        </rich:panelMenu>

                    </h:form>
                </td>
                
                <td align="center" width="95%">
                    <ui:insert name="body">Body</ui:insert>
                </td>
            </tr>
        </table>        
<!--
        <ui:include src="/templates/include/footer.xhtml" />
-->
    </body>

</html>

pmarlen-web/src/main/webapp/templates/main_withMenu.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich">

    <head>

        <title><ui:insert name="title"/></title>		
        <link href="${facesContext.externalContext.requestContextPath}/css/itsolutions-web.css"        rel="stylesheet"    type="text/css" />
		<ui:include src="/templates/include/dynamic-css.xhtml" />
		
		<link href="${facesContext.externalContext.requestContextPath}/images/Logo_icono_2.png" rel="shortcut icon" type="image/x-icon"/>
		<link href="${facesContext.externalContext.requestContextPath}/images/Logo_icono_2.png" rel="icon"          type="image/x-icon"/>

        <script type="text/javascript">
        function timedMsg() {
            
            var t = setTimeout("gotToLogout();",#{sessionUserMB.sessionTimeOutMinus3SecsToDisplay * 1000});
        }
        function gotToLogout() {

            window.location = "${facesContext.externalContext.requestContextPath}/pages/logout.jsf";
        }
        </script>
    </head>

    <!--
	<a4j:region>
		<script language="javascript">
			// añadimos una función de callback que será invocada
			// cuando se produzca el evento de sesión caducada
			A4J.AJAX.onExpired = function(loc, expiredMsg){
				// obtenemos el componente que implementa la ventana modal para mostrarlo
                #{rich:component('sessionTimeOutWindow')}.show();
			}
		</script>
	</a4j:region>

	<rich:modalPanel id="sessionTimeOutWindow" width="375" height="160"
                     resizeable="false">
        <f:facet name="header">
            <h:outputText value="FIN DE SESION" />
        </f:facet>
        <h:panelGrid>
            <h:panelGrid columns="2">
                <h:outputText styleClass="textMessage" value="LA SESION A TERMINADO" />
            </h:panelGrid>
            <h:panelGroup style="display:block; text-align:center; background-color:transparent;" >
                <input  id="confirmBackToLogin"
                        type="button"
                        value="VOLVER A ENTRAR"
                        onclick="window.location='#{facesContext.externalContext.requestContextPath}/index.jsp';" />
            </h:panelGroup>
        </h:panelGrid>
	</rich:modalPanel>
-->
    <body onload="javascript:timedMsg();">

        <ui:include src="/templates/include/header.xhtml" />

        <table width="98%" border="0" align="center">
            <tr>
                <td align="center">
                    <ui:insert name="body">Body</ui:insert>
                </td>
            </tr>
        </table>        
        
        <ui:include src="/templates/include/footer.xhtml" />
        
		
    </body>
    
</html>